footer {
    width: 100%;
    background-color: #fff;
    padding: 50px 0px;
    margin-top: 50px;
}

footer > div {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    width: 100%;
    gap: 50px;
    padding: 50px 0px 30px 0px;
}

footer > div li{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

footer > div a {
    color: #181818;
    display: block;
    padding: 5px 10px;
    text-align: right;
    width: 100%;
    font-size: 16px;
    transition: .2s;
    border-radius: 5px;
}

footer > div a:hover {
    background-color: #e8e8e8;
}

footer > div a:active {
    background-color: #cccccc;
}

footer > div  p{
    color: #000000;
    display: block;
    font-weight: 700;
    font-size: 18px;
    padding: 10px 0px;
    text-align: right;
    width: 100%;
}
footer > div  .enternal-links {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    gap: 20px;
}

footer > div  ul{
    display: flex;
    align-items: center;
    justify-content: right;
    flex-direction: column;
}


/* responsive */

@media (max-width: 992px) {

    footer > div {
        flex-direction: column;
        align-items: center;
        width: 100%;
        gap: 50px;
        padding: 50px 0px 30px 0px;
    }

    footer > div .logo {
        width: 100%;
        display: flex;
        align-items:center ;
        justify-content: center;
    }

    
    footer > div ul{
        justify-content: center;
    }

    footer > div a {
        text-align: center;
    }

    footer > div p {
        text-align: center;
    }
    footer > div .external-links {
        width: 100%;
        flex-wrap: wrap;
    }
}
